import uuid
import datetime as dt
from marshmallow import Schema, fields, post_load, EXCLUDE

from vrpmdvmonsensor import VRPMDV_MonSensor


class VRPMDV_MonSensorSchema(Schema):   
      name = fields.String()
      channels = fields.List(fields.Nested("VRPMDV_MonChannelSchema"))

      @post_load
      def make_vrpmdv_MonfilesSensorSchema(self, data, **kwargs):
            return VRPMDV_MonSensor(**data)


